apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: monitoring
  namespace: argocd
  finalizers:
  - resources-finalizer.argocd.argoproj.io
spec:
  destination:
    namespace: monitoring
    server: https://kubernetes.default.svc
  project: system
  source:
    path: monitoring/manifests
    repoURL: https://git.tbrnt.ch/tobru/gitops-tbrnt.git
    targetRevision: HEAD
    directory:
      recurse: true
  ignoreDifferences:
  - group: apiextensions.k8s.io
    kind: CustomResourceDefinition
    jsonPointers:
    - /status
